python-django-anymail_0.8-2+deb9u1_all.deb


Advertisement

Description

python-django-anymail - Django email backend for multiple ESPs (Python 2)

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Contrib amd64
Package name python-django-anymail
Package version 0.8
Package release 2+deb9u1
Package architecture all
Package type deb
Installed size 201 B
Download size 40.29 KB
Official Mirror ftp.br.debian.org
Anymail integrates several transactional email service providers (ESPs) into
Django, with a consistent API that lets you use ESP-added features without
locking your code to a particular ESP.
It currently fully supports Mailgun, Postmark, SendGrid, and SparkPost, and
has limited support for Mandrill.
Anymail normalizes ESP functionality so it "just works" with Django's
built-in `django.core.mail` package. It includes:
* Support for HTML, attachments, extra headers, and other features of
Django's built-in email
* Extensions that make it easy to use extra ESP functionality, like tags,
metadata, and tracking, with code that's portable between ESPs
* Simplified inline images for HTML email
* Normalized sent-message status and tracking notification, by connecting
your ESP's webhooks to Django signals
* "Batch transactional" sends using your ESP's merge and template features
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-django-anymail_0.8-2+deb9u1_all.deb 0.8 all Debian Contrib
python-django-anymail - - -

Requires

Name Value
python-django -
python-requests -
python-six -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-django-anymail_0.8-2+deb9u1_all.deb
Source Package django-anymail

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-django-anymail deb package:
    # sudo apt-get install python-django-anymail

Files

Path
/usr/lib/python2.7/dist-packages/anymail/__init__.py
/usr/lib/python2.7/dist-packages/anymail/_version.py
/usr/lib/python2.7/dist-packages/anymail/exceptions.py
/usr/lib/python2.7/dist-packages/anymail/message.py
/usr/lib/python2.7/dist-packages/anymail/signals.py
/usr/lib/python2.7/dist-packages/anymail/urls.py
/usr/lib/python2.7/dist-packages/anymail/utils.py
/usr/lib/python2.7/dist-packages/anymail/backends/__init__.py
/usr/lib/python2.7/dist-packages/anymail/backends/base.py
/usr/lib/python2.7/dist-packages/anymail/backends/base_requests.py
/usr/lib/python2.7/dist-packages/anymail/backends/mailgun.py
/usr/lib/python2.7/dist-packages/anymail/backends/mandrill.py
/usr/lib/python2.7/dist-packages/anymail/backends/postmark.py
/usr/lib/python2.7/dist-packages/anymail/backends/sendgrid.py
/usr/lib/python2.7/dist-packages/anymail/backends/sendgrid_v2.py
/usr/lib/python2.7/dist-packages/anymail/backends/sparkpost.py
/usr/lib/python2.7/dist-packages/anymail/backends/test.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/__init__.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/base.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/mailgun.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/mandrill.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/postmark.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/sendgrid.py
/usr/lib/python2.7/dist-packages/anymail/webhooks/sparkpost.py
/usr/lib/python2.7/dist-packages/django_anymail-0.8.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/django_anymail-0.8.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/django_anymail-0.8.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/django_anymail-0.8.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/django_anymail-0.8.egg-info/top_level.txt
/usr/share/doc/python-django-anymail/README.rst.gz
/usr/share/doc/python-django-anymail/changelog.Debian.gz
/usr/share/doc/python-django-anymail/copyright

Changelog

2018-02-06 - Scott Kitterman <scott@kitterman.com>
django-anymail (0.8-2+deb9u1) stretch-security; urgency=high
* Security fix for timing attack on WEBHOOK_AUTHORIZATION secret (CVE-2018-
6596) as described in https://github.com/anymail/django-anymail/releases/
tag/v1.2.1 (Closes: #889450)
2017-04-22 - Scott Kitterman <scott@kitterman.com>
django-anymail (0.8-2) unstable; urgency=medium
* Upload to unstable (See #859306)
* Cherry pick debian/patches/fix-attachment-crash from upstream to prevent
tracebacks when when sending rfc822 messages as attachments (Upstream
issue https://github.com/anymail/django-anymail/pull/59)
2017-04-01 - Scott Kitterman <scott@kitterman.com>
django-anymail (0.8-1) experimental; urgency=medium
* New upstream release
2017-01-02 - Scott Kitterman <scott@kitterman.com>
django-anymail (0.7-1) unstable; urgency=medium
* New upstream release
2016-11-17 - Scott Kitterman <scott@kitterman.com>
django-anymail (0.6.1-1) unstable; urgency=low
* Initial release. (Closes: #844675)

See Also

Package Description
python-ifeffit_1.2.11d-10.1_amd64.deb Python GUI interface and extensions for IFEFFIT
python-pycuda-doc_2016.1.2+git20161024-1_all.deb module to access Nvidia‘s CUDA computation API (documentation)
python-pycuda_2016.1.2+git20161024-1+b1_amd64.deb Python module to access Nvidia‘s CUDA parallel computation API
python-skype4py_1.0.35-2_all.deb Skype API wrapper for Python
python-sparkpost_1.3.3-1_all.deb SparkPost Python API client (Python 2)
python-vertica_0.6.8-2_all.deb native Python client for the Vertica database
python3-caffe-cuda_1.0.0~rc4-1_amd64.deb Python3 interface of Caffe (CUDA)
python3-chargebee2_2.2.3-1_all.deb Python library for integrating with Chargebee (Python 3/API v2)
python3-chargebee_1.6.3-1_all.deb Python library for integrating with Chargebee (Python 3/API v1)
python3-django-anymail_0.8-2+deb9u1_all.deb Django email backend for multiple ESPs (Python 3)
python3-pycuda_2016.1.2+git20161024-1+b1_amd64.deb Python 3 module to access Nvidia‘s CUDA parallel computation API
python3-sparkpost_1.3.3-1_all.deb SparkPost Python API client (Python 3)
python3-vertica_0.6.8-2_all.deb native Python client for the Vertica database (Python 3)
qmhandle_1.3.2-2_all.deb tool to manage the qmail message queue
quake-server_49.1_all.deb classic first person shooter - server and init script
Advertisement
Advertisement